Subject: bug#3378: 23.0.94; Debugger entered--Lisp error: (void-function x-own-selection-internal)

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 27 May 2009 18:44:22 -0700 (PDT)

Ian Eure <[email-masked]> writes:

  > I can reproduce here with -Q. Drag around the *scratch* buffer while
  > pressing meta.
  > 
  > Here's the backtrace:
  > 
  > Debugger entered--Lisp error: (void-function x-own-selection-internal)
  >   x-own-selection-internal(SECONDARY #("nt to save, and for Lisp
  > evaluation.\n;; If you want to create a file, visit that file with C-x
  > C-f,\n;; then enter the text in that file's own buf" 0 37 (fontified t
  > face font-lock-comment-face) 37 40 (fontified t face
  > font-lock-comment- 
  > delimiter-face) 40 100 (fontified t face font-lock-comment-face) 100
  > 103 (fontified t face font-lock-comment-delimiter-face) 103 145
  > (fontified t face font-lock-comment-face)))
  >   x-set-selection(SECONDARY #("nt to save, and for Lisp evaluation.
  > \n;; If you want to create a file, visit that file with C-x C-f,\n;;
  > then enter the text in that file's own buf" 0 37 (fontified t face
  > font-lock-comment-face) 37 40 (fontified t face font-lock-comment- 
  > delimiter-face) 40 100 (fontified t face font-lock-comment-face) 100
  > 103 (fontified t face font-lock-comment-delimiter-face) 103 145
  > (fontified t face font-lock-comment-face)))
  >   mouse-drag-secondary((M-down-mouse-1 (#<window 3 on *scratch*> 186
  > (315 . 41) 112283825 nil 186 (45 . 2) nil (0 . 11) (7 . 15))))
  >   call-interactively(mouse-drag-secondary nil nil)
  > 
  > 
  > The problem seems to be that x-own-selection-internal isn't available
  > on non-X11 windowing systems (it's ns-own-selection-internal), but it
  > called by x-set-selection.
  > 
  > Maybe this needs to be aliased to x-own-selection-internal; I know
  > other NS-specific functions have x- aliases for compatibility.

There's no need to add overhead with an alias, just needs to be renamed
to x-own-selection-internal.
I probably missed this one when renaming `x-disown-selection-internal'
and other similar things.